(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('react'), require('react-netlify-identity'), require('@reach/dialog'), require('@reach/visually-hidden')) :
  typeof define === 'function' && define.amd ? define(['exports', 'react', 'react-netlify-identity', '@reach/dialog', '@reach/visually-hidden'], factory) :
  (factory((global['react-netlify-identity-widget'] = {}),global.React,global.reactNetlifyIdentity,global.dialog,global.VisuallyHidden));
}(this, (function (exports,React,reactNetlifyIdentity,dialog,VisuallyHidden) { 'use strict';

  React = React && React.hasOwnProperty('default') ? React['default'] : React;
  VisuallyHidden = VisuallyHidden && VisuallyHidden.hasOwnProperty('default') ? VisuallyHidden['default'] : VisuallyHidden;

  const IdentityContext = React.createContext(undefined); // not necessary but recommended

  // const pagesWithHeader = { login: true, signup: true }
  // const pages = {
  //   login: {
  //     login: true,
  //     button: "Log in",
  //     button_saving: "Logging in",
  //     email: true,
  //     password: true,
  //     link: "amnesia",
  //     link_text: "Forgot password?",
  //     providers: true
  //   },
  //   signup: {
  //     signup: true,
  //     button: "Sign up",
  //     button_saving: "Signing Up",
  //     name: true,
  //     email: true,
  //     password: true,
  //     providers: true
  //   },
  //   amnesia: {
  //     title: "Recover password",
  //     button: "Send recovery email",
  //     button_saving: "Sending recovery email",
  //     email: true,
  //     link: "login",
  //     link_text: "Never mind"
  //   },
  //   recovery: {
  //     title: "Recover password",
  //     button: "Update password",
  //     button_saving: "Updating password",
  //     password: true,
  //     link: "login",
  //     link_text: "Never mind"
  //   },
  //   invite: {
  //     title: "Complete your signup",
  //     button: "Sign up",
  //     button_saving: "Signing Up",
  //     password: true,
  //     providers: true
  //   },
  //   user: {
  //     title: "Logged in"
  //   }
  // }
  function LoggedOutScreen() {
      return React.createElement("div", null, "logged out");
  }
  function LoggedInScreen() {
      return React.createElement("div", null, "logged in");
  }
  function Gate() {
      const identity = React.useContext(IdentityContext);
      const isLoggedIn = Boolean(identity && identity.user);
      return isLoggedIn ? React.createElement(LoggedInScreen, null) : React.createElement(LoggedOutScreen, null);
  }
  function Widget() {
      const identity = reactNetlifyIdentity.useNetlifyIdentity("https://identity.netlify.com/"); // supply the url of your Netlify site instance. VERY IMPORTANT
      return (React.createElement(IdentityContext.Provider, { value: identity },
          React.createElement(Gate, null)));
  }
  // renderBody() {
  //   const { store } = this.props
  //   const page = pages[store.modal.page] || {}
  //   const pageLinkHandler = () => this.handlePage(page.link)
  //   if (!store.gotrue) {
  //     return <SiteURLForm onSiteURL={this.handleSiteURL} />
  //   }
  //   if (!store.settings) {
  //     return
  //   }
  //   if (store.user) {
  //     return <LogoutForm user={store.user} saving={store.saving} onLogout={this.handleLogout} />
  //   }
  //   if (store.modal.page === "signup" && store.settings.disable_signup) {
  //     return <Message type="signup_disabled" />
  //   }
  //   return (
  //     <div>
  //       <UserForm
  //         page={pages[store.modal.page] || {}}
  //         message={store.message}
  //         saving={store.saving}
  //         onSubmit={this.handleUser}
  //         namePlaceholder={store.namePlaceholder}
  //       />
  //       {!store.user && page.link && store.gotrue && (
  //         <button onclick={pageLinkHandler} className="btnLink forgotPasswordLink">
  //           {page.link_text}
  //         </button>
  //       )}
  //       <SiteURLForm devMode="true" onSiteURL={this.clearSiteURL} />
  //     </div>
  //   )
  // }
  // renderProviders() {
  //   const { store } = this.props
  //   if (!(store.gotrue && store.settings)) {
  //     return null
  //   }
  //   if (store.modal.page === "signup" && store.settings.disable_signup) {
  //     return null
  //   }
  //   const page = pages[store.modal.page] || {}
  //   if (!page.providers) {
  //     return null
  //   }
  //   const providers = ["Google", "GitHub", "GitLab", "BitBucket", "SAML"].filter(
  //     p => store.settings.external[p.toLowerCase()]
  //   )
  //   return providers.length ? (
  //     <Providers
  //       providers={providers}
  //       labels={store.settings.external_labels || {}}
  //       onLogin={this.handleExternalLogin}
  //     />
  //   ) : null
  // }

  function Modal({ showDialog, onCloseDialog }) {
      return (React.createElement(dialog.DialogOverlay, { isOpen: showDialog },
          React.createElement(dialog.DialogContent, { style: {
                  border: "solid 5px hsla(0, 0%, 0%, 0.5)",
                  borderRadius: "10px"
              } },
              React.createElement("button", { className: "close-button", onClick: onCloseDialog },
                  React.createElement(VisuallyHidden, null, "Close"),
                  React.createElement("span", { "aria-hidden": true }, "\u00D7")),
              React.createElement("div", null,
                  "widget",
                  React.createElement(Widget, null)))));
  }

  exports.Modal = Modal;

})));
//# sourceMappingURL=reactNetlifyIdentityWidget.umd.development.js.map
